import java.net.URL;
import java.util.Properties;

import org.apache.axis.client.Service;

import EsempioEcho.EchoServiceSoapBindingStub;

public class ClientChiamataConStub {
  public static void main(String[] args) {
    try {
	  /* Per abilitare la comunicazione con l'esterno attraverso il proxy web */
	  Properties props= new Properties(System.getProperties());
	  props.put("http.proxySet", "true");
	  props.put("http.proxyHost", "192.168.70.249");
	  props.put("http.proxyPort", "8080");
	  Properties newprops = new Properties(props);
	  System.setProperties(newprops);
      /* Fine settaggio proxy web */


      EchoServiceSoapBindingStub service = new EchoServiceSoapBindingStub(
          new URL("http://137.204.45.59:8079/axis/services/EchoService"),
          new Service());

      String result = service.echoString("Hello!");
      // String result = service.appendString("Hello!", "Luca");
      // int result = service.somma(2, 3);

      System.out.println("Ecco il risultato: " + result);
    } catch (Exception e) {
      System.err.println(e.toString());
    }
  }
}
